*	-----------------------------------------------------------------
*
*	k_lstbit.prg
*	Returns element number in a delimited list
*
*	Kernal version 2.0
*	Copyright (c) 1992-1994 Cornerstone Software Limited
*	All Rights Reserved	
*
*	Revision History
*	----------------
*	31 May 1994	 CMN	Created k_lstbit.prg
*	15 Jul 1994	 WRN	Syntax corrected
*						was (el,list,delim) now (list,el,delim)
*
*	Notes
*	-----
*	returns element number <element> in 
*	a <delimiter> delimited string <list>
*	
*
*	-----------------------------------------------------------------

parameter __list, __element, __delimiter

private left_,right_
if empty( __delimiter )	
	__delimiter = ","
endif
do case
* First Element:
case __element = 1 
	if k_lstlen( __list ) = 1
		k_lastretn = __list
	else
		k_lastretn = left( __list, at( __delimiter, __list ) - 1 )
	endif

* Last Element:
case __element = occurs( __delimiter, __list ) + 1	
	k_lastretn = substr( __list, at( __delimiter, __list, __element-1 ) + 1 )

* Greater than Last element:
case __element > occurs( __delimiter, __list ) + 1	
	k_lastretn = ""

otherwise
	* 1st delimiter:
	left_  = at( __delimiter, __list, __element-1 )
	right_ = at( __delimiter, __list, __element )
	k_lastretn = substr( __list, left_+1, right_-left_-1 ) 

endcase
return (m.k_lastretn)


*
*	Old version:
*

#IF .F.

function k_listbit

*-----------------------------------
parameter __element, __list, __delimiter
*-----------------------------------

if empty( __delimiter )	
	__delimiter = ","
endif

k_lastretn = kl_listbit( __element, __list, __delimiter )
return (m.k_lastretn)

#ENDIF