*//--------------------------------------------------------------
*//		Registry constants 
*//		Sourced from MS Visual C++ 4.0 WINNT.H
*//
*//--------------------------------------------------------------

#define _debug .T.

*//		Root Keys:

#define HKEY_CLASSES_ROOT    -2147483648 	&& 1*(bitset(0,31)+0)
#define HKEY_CURRENT_USER    -2147483647  	&& 1*(bitset(0,31)+1)
#define HKEY_LOCAL_MACHINE   -2147483646  	&& 1*(bitset(0,31)+2)
#define HKEY_USERS           -2147483645  	&& 1*(bitset(0,31)+3)

*//		Value Types:

#define REG_NONE             			0	&& No value type
#define REG_SZ               			1   && Unicode nul terminated string
#define REG_EXPAND_SZ        			2	&& Unicode nul terminated string (with environment variable references)
#define REG_BINARY                  	3	&& Free form binary
#define REG_DWORD                   	4   && 32-bit number
#define REG_DWORD_LITTLE_ENDIAN     	4	&& 32-bit number (same as REG_DWORD)
#define REG_DWORD_BIG_ENDIAN        	5   && 32-bit number
#define REG_LINK                    	6  	&& Symbolic Link (unicode)
#define REG_MULTI_SZ                	7   && Multiple Unicode strings
#define REG_RESOURCE_LIST           	8   && Resource list in the resource map
#define REG_FULL_RESOURCE_DESCRIPTOR 	9   && Resource list in the hardware description
#define REG_RESOURCE_REQUIREMENTS_LIST  10	&&

*//		Disposition results:

#define REG_CREATE_NEW_KEY	 	 1
#define REG_OPENED_EXISTING_KEY	 2

*//		Key options:

#define REG_OPTION_RESERVED	     0		&& Parameter is reserved
#define REG_CLASS_DEFAULT		 ""		&& Default key class
#define REG_SECURITY_DEFAULT	 0		&& Default security descriptor

#define REG_OPTION_NON_VOLATILE  0		&& Key is preserved when system is rebooted
#define REG_OPTION_VOLATILE      1		&& Key is not preserved when system is rebooted

*//		Security Access Masks:

#define KEY_QUERY_VALUE          1
#define KEY_SET_VALUE            2
#define KEY_CREATE_SUB_KEY       4
#define KEY_ENUMERATE_SUB_KEYS   8
#define KEY_NOTIFY               16
#define KEY_CREATE_LINK          32
#define KEY_READ				 KEY_QUERY_VALUE + KEY_ENUMERATE_SUB_KEYS + KEY_NOTIFY
#define KEY_WRITE				 KEY_SET_VALUE + KEY_CREATE_SUB_KEY 
#define KEY_ALL_ACCESS			 KEY_READ + KEY_WRITE + KEY_CREATE_LINK

*//		Return values:

#define ERROR_SUCCESS			 0
#define ERROR_INVALID_FUNCTION	 1
#define ERROR_FILE_NOT_FOUND	 2
#define ERROR_MORE_DATA			 234	

