*!	-----------------------------------------------------------------
*!
*!	builder.h
*!	Master Builder header file
*!
*!	Copyright (c) 1996 Colin Nicholls 
*!	All Rights Reserved	
*!
*!	Revision History
*!	----------------
*!	8 August 1996	 CMN	Created builder.h
*!
*!	-----------------------------------------------------------------

#include registry.h

*//		MasterBuilder specifics:

#define m_BUILDER_REGISTRY 	home()+'wizards\builder.dbf'

#define c_VERSION		"2.0.2"
#define c_BUILD			"4.March.97"
#define c_AUTHOR		"Colin Nicholls"
#define c_COPYRIGHT		"(c) 1995-1997 Colin Nicholls"
#define c_REG_NAME		"Master Builder - General purpose"
#define c_REG_DESCRIPT	"A general purpose builder."+c_CRLF+"Copyright "+c_COPYRIGHT+c_CRLF+"Version "+c_VERSION

#define c_TITLE			"MasterBuilder " + c_VERSION

#define c_REGISTRY_BRANCH	"Software\Colin Nicholls\Master Builder\2.0"

*//		MBUILDER.PRG parameters:

#define n_MBUILDER_ERROR	   1
#define n_MBUILDER_TABLE	   2
#define n_MBUILDER_INFO		   3
#define n_MBUILDER_OPTIONS	   4	
#define n_MBUILDER_CHANGECLASS 5
#define n_MBUILDER_LOADLIBRARY 6
#define n_MBUILDER_FONTS       7
#define n_MBUILDER_COLORS      8

*//		MBUILDER.DBF OpenBuilderTable() parameters

#define n_READONLY	1
#define n_READWRITE	2

*//		Colors:

#define n_COLORSOURCE_OTHER	0
#define n_COLORSOURCE_3D		4
#define n_COLORSOURCE_EDIT		5

*//		Other colors:

#define c_FORECOLOR_NORMAL  '=eval("rgb("+substr(rgbscheme(1,1), 5,at(",",rgbscheme(1,1),3) -5)+ ")" )'
#define c_FORECOLOR_DISABL  '=eval("rgb("+substr(rgbscheme(15,10), 5,at(",",rgbscheme(15,10),3) -5)+ ")" )'
#define c_FORECOLOR_3D      '=eval("rgb("+substr(rgbscheme(1,2), 5,at(",",rgbscheme(1,2),3) -5)+ ")" )'

#define c_BACKCOLOR_EDIT    '=eval("rgb("+substr(rgbscheme(15,2), at(",",rgbscheme(15,2),3)+1))'
#define c_BACKCOLOR_3D      '=eval("rgb("+substr(rgbscheme(15,1), at(",",rgbscheme(15,1),3)+1))'

#define c_FORECOLOR_SELECT  '=eval("rgb("+substr(rgbscheme(15,6), 5,at(",",rgbscheme(15,6),3) -5)+ ")" )'
#define c_BACKCOLOR_SELECT  '=eval("rgb("+substr(rgbscheme(15,6), at(",",rgbscheme(15,6),3)+1))'

*//		Miscellaneous stuff:

#define n_MAX_TEXTBOX_LENGTH 50

*//		Show() parameters:

#define n_MODAL		1
#define n_MODELESS	2

*//		SYSMETRIC() parameters:

#define n_HEADER_HEIGHT	9

*//		SYS(1269) parameters:

#define n_READONLY	1

*//		BorderStyle:

#define n_NORESIZE	2

*//		BackStyle:

#define n_TRANSPARENT 0

*//		WindowState:

#define n_NORMAL	0
#define n_MINIMIZED 1

*//		PEMSTATUS parameters:

#define n_PEM_EXISTS   5
#define n_PEM_READONLY 1

*//		Debugging Mode:

#define l_DEBUG .T.

*//		Logical Stuff:

#define l_TRUE 		.T.
#define l_FALSE		.F.
#define l_YES		.T.
#define l_NO		.F.

*//		Variable types:

#define c_TYPE_CHARACTER	'C'
#define c_TYPE_NUMERIC		'N'
#define c_TYPE_LOGICAL		'L'
#define c_TYPE_DATE			'D'
#define c_TYPE_CURRENCY		'Y'
#define c_TYPE_TIME			'T'
#define c_TYPE_MEMO			'M'
#define c_TYPE_GENERAL		'G'
#define c_TYPE_OBJECT		'O'
#define c_TYPE_UNDEFINED	'U'

*//		Key Return Codes:


*//		Control Codes:

#define c_CR		chr(13)
#define c_CRLF		chr(13)+chr(10)
#define c_TAB		chr(9)

*//		Messagebox parameters:

#define MB_OK                   0       && OK button only
#define MB_OKCANCEL             1       && OK and Cancel buttons
#define MB_ABORTRETRYIGNORE     2       && Abort, Retry, and Ignore buttons
#define MB_YESNOCANCEL          3       && Yes, No, and Cancel buttons
#define MB_YESNO                4       && Yes and No buttons
#define MB_RETRYCANCEL          5       && Retry and Cancel buttons

#define MB_ICONSTOP             16      && Critical message
#define MB_ICONQUESTION         32      && Warning query
#define MB_ICONEXCLAMATION      48      && Warning message
#define MB_ICONINFORMATION      64      && Information message

#define MB_APPLMODAL            0       && Application modal message box
#define MB_DEFBUTTON1           0       && First button is default
#define MB_DEFBUTTON2           256     && Second button is default
#define MB_DEFBUTTON3           512     && Third button is default
#define MB_SYSTEMMODAL          4096    && System Modal


*//		Messagebox return codes:

#define IDOK            1       && OK button pressed
#define IDCANCEL        2       && Cancel button pressed
#define IDABORT         3       && Abort button pressed
#define IDRETRY         4       && Retry button pressed
#define IDIGNORE        5       && Ignore button pressed
#define IDYES           6       && Yes button pressed
#define IDNO            7       && No button pressed
